using System;

internal sealed class Delegate641 : MulticastDelegate
{
	public extern object Invoke(object object_0, object object_1, object[] object_2);

	public static object smethod_0(object object_0, object object_1, object[] object_2, Delegate641 delegate641_1)
	{
		return delegate641_1(object_0, object_1, object_2);
	}

	public extern Delegate641(object object_0, IntPtr intptr_0);

	static Delegate641()
	{
		Class10.smethod_13(typeof(Delegate641).TypeHandle);
	}

	internal static Delegate641 delegate641_0;
}
